/*--------------------------------------------------------------------------+
|                                                                          |
|                                                                          |
| Copyright 2017 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.executable;

import java.util.ArrayList;
import java.util.List;

import org.fortiss.af3.deployment.generator.DeploymentExecutableTransformationContext;
import org.fortiss.af3.deployment.generator.Transmission;
import org.fortiss.af3.deployment.generator.TransmissionCatalog;
import org.fortiss.af3.generator.common.model.c.CSourcePackage;

/**
 * Can Transmission Catalog
 * 
 * @author eder
 * @author  hoelzl $
 *                                                                                                 18709 $
 *                                                                                                 RED Hash:
 */
public class CanTransmissionCatalog extends TransmissionCatalog {

	/** Stores the transmissions contained in this catalog. */
	private final List<Transmission> transmissions = new ArrayList<Transmission>();

	/** Adds the given transmission to the catalog. */
	@Override
	public void addTransmission(Transmission transmission) {
		transmissions.add(transmission);
	}

	/**
	 * Here the one can create additional SourcePackages which are common for all ECUs.
	 * It won't be used in the current release.
	 */
	@Override
	public CSourcePackage getSourcePackage(DeploymentExecutableTransformationContext ctx) {
		return null;
	}
}
